/*
 * Copyright (c) 2015, Collabora Ltd.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice, this
 * list of conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 */

#ifndef __OWR_DATA_CHANNEL_PROTOCOL_H__
#define __OWR_DATA_CHANNEL_PROTOCOL_H__

#ifndef __GTK_DOC_IGNORE__

typedef enum {
    OWR_DATA_CHANNEL_MESSAGE_TYPE_ACK = 2,
    OWR_DATA_CHANNEL_MESSAGE_TYPE_OPEN_REQUEST = 3
} OwrDataChannelMessageType;

typedef enum  {
    OWR_DATA_CHANNEL_CHANNEL_TYPE_RELIABLE = 0x00,
    OWR_DATA_CHANNEL_CHANNEL_TYPE_RELIABLE_UNORDERED = 0x80,
    OWR_DATA_CHANNEL_CHANNEL_TYPE_PARTIAL_RELIABLE_REMIX = 0x01,
    OWR_DATA_CHANNEL_CHANNEL_TYPE_PARTIAL_RELIABLE_REMIX_UNORDERED = 0x81,
    OWR_DATA_CHANNEL_CHANNEL_TYPE_PARTIAL_RELIABLE_TIMED = 0x02,
    OWR_DATA_CHANNEL_CHANNEL_TYPE_PARTIAL_RELIABLE_TIMED_UNORDERED = 0x82
} OwrDataChannelChannelType;

typedef enum {
    OWR_DATA_CHANNEL_PPID_CONTROL = 50,
    OWR_DATA_CHANNEL_PPID_STRING = 51,
    OWR_DATA_CHANNEL_PPID_BINARY_PARTIAL = 52, /* Deprecated */
    OWR_DATA_CHANNEL_PPID_BINARY = 53,
    OWR_DATA_CHANNEL_PPID_STRING_PARTIAL = 54 /* Deprecated */
} OwrDataChannelPPID;

typedef enum {
    OWR_DATA_CHANNEL_STATE_CONNECTING,
    OWR_DATA_CHANNEL_STATE_OPEN,
    OWR_DATA_CHANNEL_STATE_CLOSING,
    OWR_DATA_CHANNEL_STATE_CLOSED
} OwrDataChannelState;

#endif /* __GTK_DOC_IGNORE__ */
#endif /* __OWR_DATA_CHANNEL_PROTOCOL_H__ */
